<div ng-controller="ContainerClienteCtrl">
    <div class="page page-dashboard">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
              </ul>
            </div>
        </div>
        <div class="card-container">
            <div class="panel panel-success">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-list"></i> Lista de Contenedores</h3>
            </div>
            <div class="panel-body">

                <div class="row">
                    <div class="col-md-4">
                        <label>Buscar</label>
                        <input type="text" class="form-control" placeholder="Buscar contenedor" ng-model="buscar">
                    </div>
                    <div class="col-md-4">
                        <label>Año</label>
                        <select class="form-control" ng-model="obj.anio" ng-change="listSemana(obj.anio)" ng-options="an.id as an.anio for an in anios">
                            <option value="">-- Año --</option>
                        </select>
                    </div>
                    <div class="col-md-4">
                        <label>Semana</label>
                        <select class="form-control" ng-disabled="!obj.anio" ng-model="obj.id_semana" ng-change="changeSemana(obj.id_semana)" ng-options="sem.id as sem.nombre for sem in semanas">
                            <option value="">-- Semana --</option>
                        </select>
                    </div>
                </div>
                <br>
                <div class="row">
                    <div class="col-md-4">
                        
                    </div>
                    <div class="col-md-4">
                        <a ng-click="redirect()" ui-sref="home.container.my_files_c" class="btn btn-info btn-rounded-10 btn-block"><i class="fa fa-files-o"></i> gestión de archivos</a>
                    </div>
                    <div class="col-md-4">
                         <h4 ng-if="!flagLoading" ng-show="flag"><strong>Cantidad : {{containers.length}} Contenedores</strong></h4>
                    </div>
                </div>
                <br>
                <div class="loading-container" ng-if="flagLoading">
                    <div class="loading"></div>
                    <div id="loading-text">Cargando</div>
                </div>
                <div class="row" ng-if="!flagLoading">
                    <div class="col-md-12" ng-hide="flag">
                        <p class="text-center">
                            <i class="fa fa-truck fa-4x"></i>
                            <h5 class="text-center">no hay contenedores registrados</h5>
                        </p>
                    </div>
                    <div class="col-md-12" ng-show="flag">
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <tr style="background:#F2F2F2">
                                    <!-- <th style="vertical-align: middle;">Detalles</th> -->
                                    <th style="vertical-align: middle;">Estado</th>
                                    <th style="vertical-align: middle;">W</th>
                                    <th style="vertical-align: middle;">Inicio Proceso</th>
                                    <th style="vertical-align: middle;">Fin Proceso</th>
                                    <th style="vertical-align: middle;">Operador Logístico</th>
                                    <th style="vertical-align: middle;">Línea</th>
                                    <th style="vertical-align: middle;">Nave</th>
                                    <th style="vertical-align: middle;">Booking</th>
                                    <th style="vertical-align: middle;">Cliente</th>
                                    <th style="vertical-align: middle;">Cantidad Cajas</th>
                                    <th style="vertical-align: middle;">Marca</th>
                                    <th style="vertical-align: middle;">Contenedor</th>
                                    <th style="vertical-align: middle;">Orden/Referencia</th>
                                    <th style="vertical-align: middle;">Destino</th>
                                    <th style="vertical-align: middle;">Peso Neto</th>
                                    <th style="vertical-align: middle;">Peso Bruto</th>
                                    <th style="vertical-align: middle;">Fecha Zarpe</th>
                                    <th style="vertical-align: middle;">Fecha Llegada</th>
                                    <th style="vertical-align: middle;">Factura</th>
                                    <th style="vertical-align: middle;">Packing</th>
                                    <th style="vertical-align: middle;">Certificado</th>
                                    <th style="vertical-align: middle;">Valija</th>
                                </tr>
                                <tbody dir-paginate="con in containers |filter: buscar | itemsPerPage: 10" pagination-id="con.id_contenedor">
                                    <tr>
                                        <!-- <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}">
                                            <div class="input-group-btn">
                                                <button class="btn btn-default" title="Ver más detalles del Contenedor {{con.numero_contenedor}}" ng-click="redirectDetalle(con)"><i class="fa fa-desktop"></i></button>
                                            </div>
                                        </td> -->
                                        <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}">
                                            <span class="badge" style="background: {{con.color_estado}};">{{con.estado}}</span>
                                        </td>
                                        <td style="vertical-align: middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}" nowrap>{{con.semana}}</td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.dia_proceso_inicio}}</td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.dia_proceso_fin}}</td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.operador}}</td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.linea_naviera}}</td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.nave}}</td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.booking}}</td>
                                        <td style="vertical-align: middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}" nowrap>{{con.cliente}}</td>
                                        <td style="vertical-align: middle;" nowrap>{{ con.cajas[0].cantidad_cajas }}</td>
                                        <td style="vertical-align: middle;" nowrap>{{con.cajas[0].marca}}</td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.numero_contenedor}}</td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.referencia}}</td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.puerto_destino}}</td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.peso_neto}}</td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.peso_bruto}}</td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.dia_zarpe}}</td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.dia_llegada}}</td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                            <span style="color: white;background: {{con.color_estado_factura}};" class="label">{{con.estado_factura}}</span>
                                        </td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                            <span style="color: white;background: {{con.color_estado_packing}};" class="label">{{con.estado_packing}}</span>
                                        </td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                            <span style="color: white;background: {{con.color_estado_certificado}};" class="label">{{con.estado_certificado}}</span>
                                        </td>
                                        <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                            <span style="color: white;background: {{con.color_estado_valija}};" class="label">{{con.estado_valija}}</span>
                                        </td>
                                    </tr>
                                    <tr ng-repeat="caj in con.cajas.slice(1,con.cajas.length)">
                                        <td nowrap>{{caj.cantidad_cajas}}</td>
                                        <td nowrap>{{caj.marca}}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="text-center">
                            <dir-pagination-controls pagination-id="con.id_contenedor"></dir-pagination-controls>
                        </div>
                    </div>
                </div>
                
            </div>
        </div>
        </div>
    </div> 
</div>